﻿using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.SqlServer.SSIS.EzAPI;
using Microsoft.SqlServer.Dts.Design;
using Microsoft.SqlServer.Dts.Runtime;

namespace com.Dimodelo.ezAPIExamples
{

    public class HelloWorldEzAPIExample : EzPackage
    {

        // Provide this constructor only if you want to overload Assignment operator
        public HelloWorldEzAPIExample(Package p) : base(p) { }

        public HelloWorldEzAPIExample() : base() { }

        // All the tasks, components and connection managers which should automatically be
        // assigned when SSIS package is assigned to EzPackage MUST BE PUBLIC MEMBERS.

        public EzExecSqlTask ExecSQL; //Execute SQL Command task
  
        public  string Execute()
        {

            // Add an ExecSQL Command task to the package 
            ExecSQL = new EzExecSqlTask(this);
            
            // Assign a name to the ExecSQL command 
            ExecSQL.Name = "Hello World" ;
                        
            //Return the resulting package back to the caller as a string
            return this.SaveToXML();
            
        }

        static void Main(string[] args)
        {

            /******************************** 
             Execute the Hello World Example
            *********************************/
            HelloWorldEzAPIExample helloWorldPkgGenerator = new HelloWorldEzAPIExample();

            string HelloWorldPkg = helloWorldPkgGenerator.Execute();

            System.IO.StreamWriter file = new System.IO.StreamWriter("HelloWorld.dtsx");
            file.WriteLine(HelloWorldPkg);
            file.Close();

            System.Console.WriteLine("Hello World Generation Complete");


        }

    }


}
